[pkg-boinc-commits] r421 - scripts

Frank S. Thomas fst-guest at costa.debian.org
Tue May 16 11:30:34 UTC 2006


Author: fst-guest
Date: 2006-05-16 11:30:34 +0000 (Tue, 16 May 2006)
New Revision: 421

Modified:
   scripts/download-seti
Log:
The version is now extracted from the tarball, so there is no need to specify
it on the command line.


Modified: scripts/download-seti
===================================================================
--- scripts/download-seti	2006-05-15 13:34:57 UTC (rev 420)
+++ scripts/download-seti	2006-05-16 11:30:34 UTC (rev 421)
@@ -1,29 +1,29 @@
 #!/bin/sh
 # $Id$
 #
-# Usage: download-seti 5.13 2006-05-15
+# Usage: download-seti
+#     or download-seti 2006-05-15
 
 set -e
 
-VERSION="$1"
-DATE="$2"
+DATE="$1"
 
 # validate options
-if [ -z "$VERSION" ]; then
-  echo "Error: version number was not specified"
-  exit 1
-
-elif [ -z "$DATE" ]; then
-  echo "Error: date was not specified"
-  exit 1
+if [ -z "$DATE" ]; then
+    DATE="`date +%Y-%m-%d`"
 fi
 
 NIGHTLY_DIR="http://setiweb.ssl.berkeley.edu/sah/seti_source/nightly"
 FILENAME="setiathome_enhanced-client-cvs-$DATE.tar.gz"
 
-DEBIAN_VERSION="$VERSION+cvs`echo $DATE | sed s/-//g`"
+wget "$NIGHTLY_DIR/$FILENAME" || exit 1
+tar -xzf "$FILENAME"
 
-wget "$NIGHTLY_DIR/$FILENAME" || exit 1
+CFG_AC="seti_boinc/configure.ac"
+VERSION="`grep AC_INIT $CFG_AC | cut -d , -f 2 | sed 's/\s*//g'`"
+DEBIAN_VERSION="$VERSION+cvs`echo $DATE | sed 's/-//g'`"
+
+rm -rf seti_boinc
 mv $FILENAME "boinc-app-seti_$DEBIAN_VERSION.orig.tar.gz"
 
 exit 0




More information about the pkg-boinc-commits mailing list